Subject: Re: [patch 18/19] mv643xx ethernet driver IRQ registration fix

From: Giridhar Pemmasani <[email-masked]>
Date: Wed, 7 Mar 2007 16:05:13 -0800 (PST)

--- Dale Farnsworth <[email-masked]> wrote:

> On Tue, Mar 06, 2007 at 02:42:02AM -0800, [email-masked] wrote:
> > From: Giridhar Pemmasani <[email-masked]>
> > 
> > During initialization, mv643xx driver registers IRQ before setting up
> tx/rx
> > rings.  This causes kernel oops because mv643xx_poll, which gets called
> > right after registering IRQ, calls netif_rx_complete, which accesses the
> rx
> > ring (I don't have the oops message anymore; I just remember this
> sequence
> > of calls).  Attached (tested) patch first initializes the rx/tx rings and
> > then registers the IRQ.
> 
> I believe a better fix is to disable any pending interrupt sources
> before calling request_irq().  I sent the patch below to Giri for
> confirmation, but haven't heard back.  I should've copied Andrew.
> 
> Giri, have you had a chance to test this alternative patch?

I got a chance to test this patch today. I can confirm that this patch fixes
the issue reported.

Thanks,
Giri

____________________________________________________________________________________
The fish are biting. 
Get more visitors on your site using Yahoo! Search Marketing.
http://searchmarketing.yahoo.com/arp/sponsoredsearch_v2.php